Package com.clickhouse.jdbc.internal

## Class ClickHouseJdbcUrlParser.ConnectionInfo

- java.lang.Object
- - com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser.ConnectionInfo

Enclosing class:
  ClickHouseJdbcUrlParser

    public static class ClickHouseJdbcUrlParser.ConnectionInfo
    extends Object

### Constructor Summary

Constructors
`protected` `ConnectionInfo​(String cacheKey, ClickHouseNodes nodes, Properties props)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ClickHouseCredentials` `getDefaultCredentials()`
`JdbcConfig` `getJdbcConfig()`
`ClickHouseNodes` `getNodes()` Gets nodes defined in connection string.
`Properties` `getProperties()`
`ClickHouseNode` `getServer()` Deprecated. will be removed in v0.3.3, please use `getNodes()` instead

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionInfo

    protected ConnectionInfo​(String cacheKey,
                             ClickHouseNodes nodes,
                             Properties props)

### Method Detail

#### getDefaultCredentials

    public ClickHouseCredentials getDefaultCredentials()

#### getServer

    @Deprecated
    public ClickHouseNode getServer()

Deprecated.
will be removed in v0.3.3, please use `getNodes()` instead
Gets selected server.

Returns:
  non-null selected server

#### getJdbcConfig

    public JdbcConfig getJdbcConfig()

#### getNodes

    public ClickHouseNodes getNodes()

Gets nodes defined in connection string.

Returns:
  non-null nodes

#### getProperties

    public Properties getProperties()